#define UNICODE
#include "winsock2.inc"
#include "commctrl.inc"
#include "resource.inc"
#include "shlwapi.inc"
#include "shlobj.inc"


class CDlg
{
	declare CDlg();
	declare OnCreate();
	declare OnClose();
	declare OnCommand(WPARAM wParam,HWND hwndFrom);
	declare OnTimer(int id);
	declare OnInitMenu(HMENU hMenu);
	declare LoadSettings();
	declare SaveSettings();
	declare OnStart();
	declare OnStop();
	declare OnAutostartChanged();
	declare BrowseFile(int idctl, wstring *filter,wstring *ext);
	declare ExecuteApp();

	// tray
	declare OnTray(UINT uMsg);
	declare ShowHideMainWnd();
	declare BrowseIcon();
	declare LoadNewIcon();

	// sound
	declare SoundThread();
	declare DoPlaySound();

	// internet
	declare GetHostData(sockaddr_in *sa),BOOL;
	declare Connect(); // timer IDT_CONNECT - timeout
	declare ConnectAgain();
	declare OnSocket(UINT uMsg);
	declare OnConnected();
	declare OnTimeout();


	HWND    m_hwnd;
	HMENU   m_menu;
	BOOL    m_running;
	BOOL    m_connected;
	SOCKET  m_socket;
	int     m_IconIndex;

	NOTIFYICONDATA m_nid;

}
#define WM_TRAY  (WM_USER+65)
#define WM_SOCKET (WM_USER+66)


enum timers
{
	IDT_CONNECT = 1000, // delays the connection
	IDT_CONNTIMEOUT    // max time to connect
}
